Subject: Re: bug#30800: 26.0.91; unknown crash on macos

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Mar 2018 17:57:56 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Thu, 22 Mar 2018 08:39:32 -0700
> Cc: Alan Third <[email-masked]>, [email-masked]
> 
> > Do you still see the flicker if you revert the above commit?
> 
> I do not on 10.13.2 when I follow the steps outlined in the original report.
> 
> I don't know what's going on in the code exactly, but would it be
> worth it to risk the flicker on older macOS (or people's setups that
> can repro it if mine just can't) in order to ensure that the
> represented filename gets set on a frame that is about to be freed?

I don't know.  I leave it to you, users of macOS, to make that
decision.  Perhaps the patch you are trying is indeed the best fix
(assuming it works), given that the problem is less likely to happen
now.